Feature: Create resources for AWS as "Authenticated User"
  In order to launch EC2 instance
  As a user
  I need to create necessary resource

  @api
  Scenario: Log into the site
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds"
    Then I should see the heading "Cloud service providers"
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"

  @api
  Scenario: Create an SSH key pair
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/key_pair/add"
    And I should see the heading "Add AWS Cloud key pair"
    And I enter "{{ ssh_key_name }}" for "Key pair name"
    And I press "Save"
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I should see "has been created"
    And I should see the link "{{ ssh_key_name }}"

  @api
  Scenario: Add a VPC
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/vpc/add"
    And I enter "{{ vpc_name }}" for "Name"
    And I enter "{{ ipv4_cidr }}" for "IPv4 CIDR block"
    And I press "Save"
    And I wait {{ wait }} milliseconds
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I should see "has been created"
    And I should see the link "{{ vpc_name }}" in the table

  @javascript @api
  Scenario: Add a subnet
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/subnet/add"
    And I enter "{{ subnet_name }}" for "Name"
    And I select "{{ vpc_name }}" from "VPC CIDR (ID)"
    And I select "{{ availability_zone }}" from "Availability Zone"
    And I enter "{{ ipv4_cidr }}" for "IPv4 CIDR block"
    And I press "Save"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I should see "has been created"
    And I should see the link "{{ subnet_name }}" in the table

  @javascript  @api
  Scenario: Add an Internet gateway
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/internet_gateway/add"
    And I should see the heading "Add AWS Cloud internet gateway"
    And I enter "{{ internet_gateway }}" for "Name"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/internet_gateway"
    And I should see the link "{{ internet_gateway }}"

  @javascript  @api
  Scenario: Attach an Internet gateway
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/internet_gateway"
    And I should see the link "{{ internet_gateway }}"
    And I should see the button "Attach"
    And I press "Attach"
    And the url should match "/attach"
    And I select "{{ vpc_name }}" from "VPC CIDR (ID)"
    And I press "Attach"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/internet_gateway"
    And I should see "is attached to VPC"
    And I should see "Detach" in the "{{ internet_gateway }}" row
