Feature: Launch an EC2 instance as "Authenticated User"

  @javascript @api
  Scenario: Import an AMI image
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/images/import"
    And I enter "{{ image_id }}" for "Image IDs"
    And I press "Import"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I should see "Imported 1 images"
    And I should see the link "{{ image_name }}" in the table

  @javascript @api
  Scenario: Add a security group
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/security_group/add"
    And I enter "{{ security_group_name }}" for "Security group name"
    And I enter "{{ description }}" for "Description"
    And I select "{{ vpc_name }}" from "VPC CIDR (ID)"
    And I press "Save"
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/security_group/"
    And I should see "has been created"
    And I click "Inbound and Outbound Rules"
    And the url should match "/edit"
    And I select "{{ ip_protocol }}" from "IP Protocol"
    And I enter "{{ ipv4_cidr }}" for "CIDR IP"
    And I press "Save"
    And I wait for AJAX to finish
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/security_group/"
    And I should see "has been updated"
    And I should see the link "{{ security_group_name }}"

  @javascript @api
  Scenario: Create a Cloud launch template
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/design/server_template/{{ cloud_context }}/aws_cloud/add"
    And I should see the heading "Add AWS Cloud"
    And I enter "{{ instance_name }}" for "Name"
    And I select "{{ instance_type }}" from "Instance type"
    And I select "{{ image_name }}" from "Image ID"
    And I select "{{ availability_zone }}" from "Availability Zone"
    And I select "{{ vpc_name }}" from "VPC"
    And I wait for AJAX to finish
    And I select "{{ subnet_name }}" from "Subnet"
    And I select "{{ security_group_name }}" from "Security groups"
    And I select "{{ ssh_key_name }}" from "SSH key"
    And I select "{{ status }}" from "Status"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/design/server_template/{{ cloud_context }}/"
    And I should see "has been created"
    And I should see the heading "{{ instance_name }}"
    And I visit "/clouds/design/server_template/{{ cloud_context }}"
    And I should see the link "{{ instance_name }}" in the table

  @javascript @api
  Scenario: Launch an EC2 instance
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/design/server_template/{{ cloud_context }}"
    And I click "{{ instance_name }}"
    And I should see the heading "{{ instance_name }}"
    And I click "Approve"
    And the url should match "/approve"
    And I press "Approve"
    And the url should match "/clouds/design/server_template/{{ cloud_context }}/"
    And I should see "has been approved"
    When I click "Launch"
    And the url should match "/launch"
    And I check the box "Automatically terminate instance"
    And I press "Launch"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I should see "pending" in the "{{ instance_name }}" row

  @api
  Scenario: View the EC2 instance
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I click "{{ instance_name }}"
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/instance/"
    And I should see the link "Info"
    And I should see the link "Monitor"
    And I should see the link "Console Output"
