Feature: Allocate and release an Elastic IP as "Authenticated User"

  @javascript  @api
  Scenario: Allocate an Elastic IP
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip/add"
    And I should see the heading "Add AWS Cloud Elastic IP"
    And I enter "{{ elastic_ip }}" for "Name"
    And I select "{{ elastic_ip_domain }}" from "Domain (Standard | VPC)"
    And I select "{{ availability_zone }}" from "Network border group"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip"
    And I should see "has been created"

  @javascript  @api
  Scenario: Associate the Elastic IP
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context}}/elastic_ip"
    And I click "Refresh"
    And I should see the link "{{ elastic_ip }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ elastic_ip }}"
    And the url should match "/elastic_ip/"
    And I click "Associate Elastic IP" in the "actions"
    And the url should match "/associate"
    And I select "{{ resource_type }}" from "Resource type"
    And I select "{{ instance_name }}" from "Instance"
    And I wait {{ wait }} milliseconds
    And I press "Associate"
    And I wait for AJAX to finish
    Then I should see "associated with"
    And I should see "Disassociate Elastic IP" in the "actions"

  @javascript  @api
  Scenario: Disassociate the Elastic IP
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip"
    And I click "Refresh"
    And I should see the link "{{ elastic_ip }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ elastic_ip}}"
    And the url should match "/elastic_ip/"
    And I click "Disassociate Elastic IP" in the "actions"
    And the url should match "/disassociate"
    And I press "Disassociate Address"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip"
    And I should see "Elastic IP disassociated from"

  @javascript @api
  Scenario: Release the Elastic IP
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip"
    And I click "Refresh"
    And I should see the link "{{ elastic_ip }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ elastic_ip }}"
    And the url should match "/elastic_ip/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip"
    And I should see "has been deleted"
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ elastic_ip }}"
